Bug 13903 - Overlapping idmap ranges with idmap_ad no longer work
Overlapping idmap ranges with idmap_ad no longer work
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.10.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-17 23:17 UTC by Christof Schmitt
Modified: 2019-05-21 09:36 UTC (History)
1 user (show)

See Also:


Attachments
patches for 4.10 (14.76 KB, patch)
2019-04-24 16:44 UTC, Christof Schmitt
jra: review+
Details
patches for 4.9 (14.61 KB, patch)
2019-04-24 16:44 UTC, Christof Schmitt
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2019-04-17 23:17:13 UTC
This seems to be breakage from bug 13813. This needs to be
fixed and also covered with a test to avoid further breakage.
Comment 1 Christof Schmitt 2019-04-24 16:44:11 UTC
Created attachment 15090 [details]
patches for 4.10
Comment 2 Christof Schmitt 2019-04-24 16:44:37 UTC
Created attachment 15091 [details]
patches for 4.9
Comment 3 Jeremy Allison 2019-04-24 19:58:46 UTC
Re-assigning to Karolin for inclusion in 4.10.next, 4.9.next.
Comment 4 Karolin Seeger 2019-05-16 10:10:38 UTC
Pushed to autobuild-v4-{10,9}-test.
Comment 5 Karolin Seeger 2019-05-21 09:36:43 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!